HttpResponse::getGzip
HttpResponse::getLastModified
HttpResponse
PHP Manual

# HttpResponse::getHeader

Get header

### Description

static mixed HttpResponse::getHeader ([ string `$name` ] )

Get header(s) about to be sent.

> Note:

> This may not work as expected with the following SAPI(s): Apache2 w/PHP < 5.1.3.

### Parameters

`name`

  specifies the name of the header to read; if empty or omitted, an associative array with all headers will be returned

### Return Values

Returns either a string containing the value of the header matching name, `FALSE` on failure, or an associative array with all headers.

### See Also

- HttpResponse::setHeader